"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SvgParser = void 0;
const node_html_parser_1 = require("node-html-parser");
const lodash_1 = require("lodash");
class SvgParser {
    run(transformedInput) {
        return lodash_1.mapValues(transformedInput, (content) => {
            return this.parseElement(node_html_parser_1.parse(content).childNodes[0]);
        });
    }
    parseElement(element) {
        if (!(element instanceof node_html_parser_1.HTMLElement)) {
            return null;
        }
        return {
            tagName: element.tagName,
            attributes: Object.assign(Object.assign(Object.assign({}, lodash_1.omit(element.attributes, ['width', 'height'])), (element.attributes.stroke && { stroke: 'currentColor' })), (element.attributes.fill && { fill: 'currentColor' })),
            children: element.childNodes.length > 0
                ? element.childNodes
                    .map((element) => this.parseElement(element))
                    .filter((element) => element)
                : [],
        };
    }
}
exports.SvgParser = SvgParser;
